package com.sino.publicclass.base;

/**
 * config文件类
 * <p>
 * Title: seagoer.com
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * <p>
 * Company: SG
 * </p>
 * 
 * @author shi.wf
 * @version 1.0
 */
public class VAR {
	// private static VAR instance;
	private static String realpath = "";
	private static String uploadPath = "upload";
	private static String cameraPath = "camera";
	private static String dataBackupPath = "databackup";
	private static String tmpUploadPath = "temp";// 新慧导入excel的临时目录
	// public static VAR getInstance() {
	// try {
	// if (instance == null) {
	// instance = new VAR();
	//
	// }
	// } catch (Exception e) {
	// e.printStackTrace();
	// }
	// return instance;
	// }

	public static String getRealpath() {
		return realpath;
	}

	public static void setRealpath(String path) {
		realpath = path;
	}

	public static String getUploadPath() {
		return uploadPath;
	}

	/**
	 * @return the tmpUploadPath
	 */
	public static String getTmpUploadPath() {
		return tmpUploadPath;
	}

	/**
	 * @param tmpUploadPath
	 *            the tmpUploadPath to set
	 */
	public static void setTmpUploadPath(String tmpUploadPath) {
		VAR.tmpUploadPath = tmpUploadPath;
	}

	public static void setUploadPath(String path) {
		uploadPath = path;
	}

	public static String getCameraPath() {
		return cameraPath;
	}

	public static void setCameraPath(String cameraPath) {
		VAR.cameraPath = cameraPath;
	}

	public static String getDataBackupPath() {
		return dataBackupPath;
	}
}
